// Include file for Numerical Recipes random number gen.

#include <math.h>

#define IA 16807
#define IM 2147483647
#define AM (1.0/IM)
#define IQ 127773
#define IR 2836
#define NTAB 32
#define NDIV (1+(IM-1)/NTAB)
#define EPS 1.2e-7
#define RNMX (1.0-EPS)

class Ran1 {
  long idum;
  long iy;
  long iv[NTAB];
  int iset;
  double gset;
 public:
  Ran1();
  void setup();
  double get_num();
  double gaussian();
};
