/*------------------------------------------------------------------
 *
 *         watch.h
 *
 *         watch.h,v 1.3 1994/04/17 01:54:49 chris Exp
 *
 *  watch.h,v
 * Revision 1.3  1994/04/17  01:54:49  chris
 * ootp20 sources
 *
 *
 *
 *----------------------------------------------------------------*/
/* watch.h */

#ifndef WATCH_H
#define WATCH_H

/* implements a watch to time routines */

class mdl_watch
{
private:
 
  long system_time;
  long user_time;
  long real_time;
  int state;
  enum { stopped = 0, running };

public:
  mdl_watch();
  void reset(); /* reset to zero */
  void start(); /* start really restart with no reset */
  void stop();  /* stop with no reset */
  /* all times in seconds */
  double system() const;
  double user() const;
  double real() const;
}; 

#endif



